<?php
/**
 * @category    Fishpig
 * @package     Fishpig_Wordpress
 * @license     http://fishpig.co.uk/license.txt
 * @author      Ben Tideswell <help@fishpig.co.uk>
 */
?>
<?php if ($post = $this->getPost()): ?>
	<?php $tagString = $this->getTermsAsHtml($post, 'post_tag') ?>
	<?php $categoryString = $this->getTermsAsHtml($post, 'category') ?>
	<?php echo Mage::helper('wordpress/social')->getButtons($post) ?>
	<p class="post-meta details">
	<?php if ($categoryString && $tagString): ?>
		<?php echo stripslashes($this->__('This entry was posted in %s and tagged %s on %s<span class=\"by-author\"> by %s</span>.', $categoryString, $tagString, $post->getPostDate(), $post->getAuthor()->getDisplayName())) ?>
	<?php elseif ($categoryString): ?>
		<?php echo stripslashes($this->__('This entry was posted in %s on %s<span class=\"by-author\"> by %s</span>.', $categoryString, $post->getPostDate(), $post->getAuthor()->getDisplayName())) ?>
	<?php endif; ?>
	<?php if ($this->canDisplayPreviousNextLinks()): ?>
	<span class="post-skips">
		<?php if (($previous = $post->getPreviousPost()) !== false): ?>
			<a href="<?php echo $previous->getPermalink() ?>" class="post-skip post-skip-previous" title="<?php echo $this->escapeHtml($previous->getPostTitle()) ?>">&larr; <?php echo $this->__('Previous Post') ?></a>
		<?php endif; ?>
		<?php if (($next = $post->getNextPost()) !== false): ?>
			<a href="<?php echo $next->getPermalink() ?>" class="post-skip post-skip-next right" title="<?php echo $this->escapeHtml($next->getPostTitle()) ?>"><?php echo $this->__('Next Post') ?> &rarr;</a>
		<?php endif; ?>
	</span>
	<?php endif; ?>
	</p>
<?php endif; ?>